%define oname   will_paginate
%define subrel  1
 
Name:       ruby-%{oname}
Version:    3.0.3
Release:    %mkrel 3
Summary:    Pagination for Rails
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/mislav/will_paginate/wikis
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
# Fix XSS vulnerabilities (CVE-2013-6459).
# https://github.com/mislav/will_paginate/releases/tag/v3.0.5
# https://github.com/mislav/will_paginate/commit/4cb4986d5ce05aa84572b05cfd1c1d0aa9bc07df
Patch0:        rubygem-will_paginate-3.0.5-CVE-2013-6459-always-call-html_safe-on-will_paginate-result.patch
# https://github.com/mislav/will_paginate/commit/c62c6f68a5e5e00a13ded984a4a3a79b41f9ce4b
Patch1:        rubygem-will_paginate-3.0.5-CVE-2013-6459-prevent-tampering-with-host-port-protocol.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
The will_paginate library provides a simple, yet powerful and extensible API
for ActiveRecord pagination and rendering of pagination links in ActionView
templates.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p1
%patch1 -p1

%build
%gem_build

%install
%gem_install

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.md
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE


%changelog
* Sat Jan 25 2014 philippem <philippem> 3.0.3-3.1.mga3
+ Revision: 568146
- fix security issue CVE-2013-6459 (mga#12387)
- fix security issue CVE-2013-6459 (mga#12387)

* Fri Feb 08 2013 umeabot <umeabot> 3.0.3-3.mga3
+ Revision: 396610
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 3.0.3-2.mga3
+ Revision: 381627
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 3.0.3-1.mga3
+ Revision: 314088
- new version 3.0.3

* Thu Jun 07 2012 solbu <solbu> 3.0.2-1.mga3
+ Revision: 256690
- New version

* Sun Feb 13 2011 shikamaru <shikamaru> 2.3.15-1.mga1
+ Revision: 51318
- imported package ruby-will_paginate

